Info<< "Reading field p_rgh\n" << endl;
volScalarField p_rgh
(
    IOobject
    (
        "p_rgh",
        runTime.timeName(),
        mesh,
        IOobject::MUST_READ,
        IOobject::AUTO_WRITE
    ),
    mesh
);

Info<< "Reading field U\n" << endl;
volVectorField U
(
    IOobject
    (
        "U",
        runTime.timeName(),
        mesh,
        IOobject::MUST_READ,
        IOobject::AUTO_WRITE
    ),
    mesh
);

#include "createPhi.H"



#include "readGravitationalAcceleration.H"
#include "readhRef.H"
#include "gh.H"


IOdictionary transportProperties
(
    IOobject
    (
        "transportProperties",
        runTime.constant(),
        mesh,
        IOobject::MUST_READ_IF_MODIFIED,
        IOobject::NO_WRITE
    )
);


const scalar scaleConcentration(readScalar(transportProperties.lookup("scale")));


dimensionedScalar rhoBase
(
    
    transportProperties.lookup("rhoBase")
);

dimensionedScalar rhoScalar
(
	transportProperties.lookup("rhoScalar")
);

dimensionedScalar DT
(
	transportProperties.lookup("DT")
);

volScalarField trpScalar
(
 	IOobject
 	(
  		"trpScalar",
  		runTime.timeName(),
  		mesh,
  		IOobject::MUST_READ,
  		IOobject::AUTO_WRITE
  	),
  	mesh
);




volScalarField rho
(
    IOobject
    (
        "rho",
        runTime.timeName(),
        mesh,
        IOobject::MUST_READ,
        IOobject::AUTO_WRITE
    ),
    mesh
);



forAll(mesh.C(), celli)
{
	rho[celli] = (( rhoBase.value()*mesh.V()[celli] + trpScalar[celli] * scaleConcentration * mesh.V()[celli]) / (mesh.V()[celli]));
}



volScalarField p
(
    IOobject
    (
        "p",
        runTime.timeName(),
        mesh,
        IOobject::NO_READ,
        IOobject::AUTO_WRITE
    ),
    p_rgh + rho*gh
);
std::cout << "tt" << std::endl;

label pRefCell = 0;
scalar pRefValue = 0.0;
setRefCell(p, pimple.dict(), pRefCell, pRefValue);
mesh.setFluxRequired(p.name());





singlePhaseTransportModel laminarTransport(U, phi);

autoPtr<incompressible::turbulenceModel> turbulence
(
    incompressible::turbulenceModel::New(U, phi, laminarTransport)
);




#include "createMRF.H"
